%define upstream_name    Pod-Weaver-Plugin-Encoding
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add an encoding command to your POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(FindBin)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Weaver)
BuildRequires: perl(Pod::Weaver::Role::Finalizer)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This section will add an '=encoding' command like

  =encoding utf-8

to your POD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-5.mga8
+ Revision: 1496774
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1270754
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1032341
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 968279
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 851959
- update to 0.03

* Sat Oct 18 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 788232
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 585220
- update to 0.02

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514228
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71674
- imported package perl-Pod-Weaver-Plugin-Encoding


* Tue Mar 15 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
